from typing import List, Optional

from pydantic import BaseModel, Field

from app.schemas.product import Product


class CartItemBase(BaseModel):
    product_id: int
    quantity: int = Field(..., gt=0)


class CartItemCreate(CartItemBase):
    pass


class CartItemUpdate(BaseModel):
    quantity: int = Field(..., gt=0)


class CartItemInDBBase(CartItemBase):
    id: int
    user_id: int

    class Config:
        orm_mode = True


class CartItem(CartItemInDBBase):
    pass


class CartItemWithProduct(CartItemInDBBase):
    product: Product